lpr(1)

NAME
lpr - druckt Dateien

SYNOPSIS
lpr [ -H Server[:Port] ] [ -E ] [ -U Benutzername ] [ -P Ziel[/Instanz] ] [ -# Anzahl-Kopien [ -h ] [ -l ] [ -m ] [ -o Option[=Wert] ] [ -p ] [ -q ] [ -r ] [ -C Titel ] [ -J Titel ] [ -T Titel ] [ Datei(en) ]

BESCHREIBUNG
lpr reicht Dateien zum Drucken ein. Auf der Befehlszeile benannte Dateien werden zum benannten Drucker oder zum Standardziel, falls kein Ziel angegeben ist, gesandt. Falls auf der Befehlszeile keine Dateien aufgeführt sind, liest lpr die zu druckenden Dateien von der Standardeingabe.

  DAS VORGABEZIEL
CUPS stellt viele Möglichkeiten bereit, das Vorgabeziel zu setzen. Die Umgebungsvariablen LPDEST und PRINTER werden zuerst herangezogen. Wenn keine von beiden gesetzt ist, wird der aktuell unter Benutzung des Befehls lpoptions(1) gesetzte benutzt, gefolgt von der durch den Befehl lpadmin(8) gesetzten Vorgabe.

OPTIONEN
Die folgenden Optionen werden von lpr erkannt:

-E  Erzwingt Verschlüsselung bei Verbindungen zum Server.

-H Server[:Port]
    Legt einen alternativen Server fest. Hinweis: Diese Option muss vor allen anderen auftauchen.

-C "Name"

-J "Name"

-T "Name"
    Setzt den Namen/Titel des Auftrags.

-P Ziel[//Instanz]
    Druckt Dateien auf den benannten Drucker.

-U Benutzername
    Legt einen alternativen Benutzernamen fest.

-# Kopien
    Setzt die Anzahl der zu druckenden Kopien.

-h  Deaktiviert das Drucken von Deckblättern. Diese Option ist äquivalent zu -o job-sheets=none.

-l  Legt fest, dass die Druckdatei bereits für das Ziel formatiert ist und ohne Filtern gesendet werden soll. Diese Option ist äquivalent zu -o raw.

-m  Schickt eine E-Mail nach Erledigung des Auftrags.

-o Option[=Wert]
    Setzt eine Auftragsoption. Siehe »HÄUFIGE DRUCKAUFTRAGSOPTIONEN« weiter unten.

-p  Legt fest, dass die Druckdatei mit einem schattierten Kopf mit Datum, Uhrzeit, Auftragsname und Seitennummer formatiert werden soll. Diese Option ist äquivalent zu -o prettyprint und ist nur beim Druck von Textdateien nützlich.

-q  Druckauftrag zum Drucken anhalten.

-r  Legt fest, dass die benannte Druckdatei nach dem Einreichen gelöscht werden soll.

  HÄUFIGE DRUCKAUFTRAGSOPTIONEN
Abgesehen von druckerspezifischen Optionen, die vom Befehl lpoptions(1) berichtet werden, sind die folgenden allgemeinen Optionen verfügbar:

-o job-sheets-default=Name
    Druckt ein Deckblatt mit dem Dokument. Der »Name« kann »classified«, »confidential«, »secret«, »standard«, »topsecret« oder »unclassified« sein.

-o media=Größe
    Setzt die Seitengröße auf Größe. Die meisten Drucker unterstützen mindestens die Seitennamen »a4«, »letter« und »legal«.

-o number-up={2|4|6|9|16}
    Druckt 2, 4, 6, 9 oder 16 Dokumenten- (Eingabe-)Seiten auf jeder Ausgabeseite.

-o orientation-requested=4
    Druckt den Druckauftrag im Querformat (gedreht um 90 Grad gegen den Uhrzeigersinn).

-o orientation-requested=5
    Druckt den Druckauftrag im Querformat (gedreht um 90 Grad im Uhrzeigersinn).

-o orientation-requested=6
    Druckt den Druckauftrag im inversen Hochformat (gedreht um 180 Grad).

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Legt die Ausgabequalität fest - Entwurf (3), normal (4) oder beste (5).

-o sides=one-sided
    Druckt auf einer Seite des Papiers.

-o sides=two-sided-long-edge
    Druckt auf beiden Seiten des Papiers für Hochformat-Ausgabe.

-o sides=two-sided-short-edge
    Druckt auf beiden Seiten des Papiers für Querformat-Ausgabe.

HINWEISE
Die Optionen -c, -d, -f, -g, -i, -n, -t, -v und -w werden von CUPS nicht unterstützt und führen bei Benutzung zu einer Warnmeldung.

BEISPIELE
Zwei Kopien eines Dokuments auf dem Vorgabedrucker ausdrucken:

    lpr -# 2 Dateiname

Druckt ein doppelseitiges Dokument im Format legal auf dem Drucker mit Namen »foo«:

    lpr -P foo -o media=legal -o sides=two-sided-long-edge Dateiname

Druckt ein Präsentations-Dokument zweifach pro Seite auf dem Drucker mit Namen »foo«:

    lpr -P foo -o number-up=2 Dateiname

SIEHE AUCH
cancel(1), lp(1), lpadmin(8), lpoptions(1), lpq(1), lprm(1), lpstat(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.